function [C1,C2,Na] = contRep(Nv1,Nv2,time1,time2,grid,classes);

% Nv1,Nv2 - the two expression datat sets
% times1,2 - times for the two datasets
% grid - njumber of spline curves
% classes - number of classes to use

p1 = path;
p1 = path(p1,'contrep');
p1 = path(p1,'contwithknownclasses');
[eps,temp] = size(Nv1);
[c,Na] = inter(Nv1,Nv2,classes,grid,eps/2,time1,5,'data1');
tot1 = size(time1,2);
tot2 = size(time2,2);
np1 = time1(tot1)-time1(1)+1;
np2 = time2(tot2)-time2(1)+1;
C1 = zeros(eps,np1)+110;
C2 = zeros(eps,np2)+110;
[Tht,inp,avg,Gamma] = interK(Nv2,Na,grid,eps/2,time2,2,'data2');
C1(Na>0,:) = evalPol('data1Splines.bin',time1(1),time1(tot1));
C2(Na>0,:) = evalPol('data2Splines.bin',time2(1),time2(tot2));
