function [r1,r2,r3,r4] = selectGenes(in1,in2,in3,in4,Names,n1,n2,n3,n4,n5,mindiff);


i1 = dlmread(in1,'\t');
i2 = dlmread(in2,'\t');
i3 = dlmread(in3,'\t');
i4 = dlmread(in4,'\t');
[ng,c12] = size(i1);
[ng,c34] = size(i3);
d1 = zeros(ng,c12+1);
d2 = zeros(ng,c12+1);
d3 = zeros(ng,c34+1);
d4 = zeros(ng,c34+1);
d1(:,2:c12+1) = i1;
d2(:,2:c12+1) = i2;
d3(:,2:c34+1) = i3;
d4(:,2:c34+1) = i4;
m1 = (d1 < 10).*d1;
m2 = (d2 < 10).*d2;
m3 = (d3 < 10).*d3;
m4 = (d4 < 10).*d4;
max1 = max(m1');
max2 = max(m2');
max3 = max(m3');
max4 = max(m4');
min1 = min(m1');
min2 = min(m2');
min3 = min(m3');
min4 = min(m4');
diff1 = max1 - min1;
diff2 = max2 - min2;
diff3 = max3 - min3;
diff4 = max4 - min4;
s = find(diff1 > mindiff | diff2 > mindiff  |diff3 > mindiff  | diff4 > mindiff);
r1 = d1(s,:);
r2 = d2(s,:);
r3 = d3(s,:);
r4 = d4(s,:);
dlmwrite(n1,r1,'\t');
dlmwrite(n2,r2,'\t');
dlmwrite(n3,r3,'\t');
dlmwrite(n4,r4,'\t');
r5 = Names(s);
num = size(s,2)
fid = fopen(n5,'w');
for i=1:num,
   fprintf(fid,'%s\n',char(r5(i)));
end
fclose('all');
